---
read_when:
    - Vous souhaitez utiliser Cloudflare AI Gateway avec OpenClaw
    - Vous avez besoin de l’ID de compte, de l’ID du Gateway ou de la variable d’environnement de clé API
summary: Configuration de Cloudflare AI Gateway (authentification + sélection du modèle)
title: Cloudflare AI Gateway
x-i18n:
    generated_at: "2026-04-24T07:26:30Z"
    model: gpt-5.4
    provider: openai
    source_hash: fb10ef4bd92db88b2b3dac1773439ab2ba37916a72d1925995d74ef787fa1c8b
    source_path: providers/cloudflare-ai-gateway.md
    workflow: 15
---

Cloudflare AI Gateway se place devant les API des fournisseurs et vous permet d’ajouter de l’analytique, du cache et des contrôles. Pour Anthropic, OpenClaw utilise l’API Anthropic Messages via votre endpoint Gateway.

| Propriété      | Valeur                                                                                   |
| -------------- | ---------------------------------------------------------------------------------------- |
| Fournisseur    | `cloudflare-ai-gateway`                                                                  |
| URL de base    | `https://gateway.ai.cloudflare.com/v1/<account_id>/<gateway_id>/anthropic`              |
| Modèle par défaut | `cloudflare-ai-gateway/claude-sonnet-4-6`                                             |
| Clé API        | `CLOUDFLARE_AI_GATEWAY_API_KEY` (votre clé API fournisseur pour les requêtes via le Gateway) |

<Note>
Pour les modèles Anthropic routés via Cloudflare AI Gateway, utilisez votre **clé API Anthropic** comme clé fournisseur.
</Note>

## Premiers pas

<Steps>
  <Step title="Définir la clé API fournisseur et les détails du Gateway">
    Exécutez l’onboarding et choisissez l’option d’authentification Cloudflare AI Gateway :

    ```bash
    openclaw onboard --auth-choice cloudflare-ai-gateway-api-key
    ```

    Cela vous demande votre ID de compte, votre ID de Gateway et votre clé API.

  </Step>
  <Step title="Définir un modèle par défaut">
    Ajoutez le modèle à votre configuration OpenClaw :

    ```json5
    {
      agents: {
        defaults: {
          model: { primary: "cloudflare-ai-gateway/claude-sonnet-4-6" },
        },
      },
    }
    ```

  </Step>
  <Step title="Vérifier que le modèle est disponible">
    ```bash
    openclaw models list --provider cloudflare-ai-gateway
    ```
  </Step>
</Steps>

## Exemple non interactif

Pour les configurations scriptées ou CI, transmettez toutes les valeurs sur la ligne de commande :

```bash
openclaw onboard --non-interactive \
  --mode local \
  --auth-choice cloudflare-ai-gateway-api-key \
  --cloudflare-ai-gateway-account-id "your-account-id" \
  --cloudflare-ai-gateway-gateway-id "your-gateway-id" \
  --cloudflare-ai-gateway-api-key "$CLOUDFLARE_AI_GATEWAY_API_KEY"
```

## Configuration avancée

<AccordionGroup>
  <Accordion title="Gateways authentifiés">
    Si vous avez activé l’authentification Gateway dans Cloudflare, ajoutez l’en-tête `cf-aig-authorization`. Cela vient **en plus de** votre clé API fournisseur.

    ```json5
    {
      models: {
        providers: {
          "cloudflare-ai-gateway": {
            headers: {
              "cf-aig-authorization": "Bearer <cloudflare-ai-gateway-token>",
            },
          },
        },
      },
    }
    ```

    <Tip>
    L’en-tête `cf-aig-authorization` authentifie auprès du Gateway Cloudflare lui-même, tandis que la clé API fournisseur (par exemple, votre clé Anthropic) authentifie auprès du fournisseur amont.
    </Tip>

  </Accordion>

  <Accordion title="Remarque sur l’environnement">
    Si le Gateway s’exécute comme démon (launchd/systemd), assurez-vous que `CLOUDFLARE_AI_GATEWAY_API_KEY` est disponible pour ce processus.

    <Warning>
    Une clé présente uniquement dans `~/.profile` n’aidera pas un démon launchd/systemd à moins que cet environnement n’y soit également importé. Définissez la clé dans `~/.openclaw/.env` ou via `env.shellEnv` pour vous assurer que le processus gateway peut la lire.
    </Warning>

  </Accordion>
</AccordionGroup>

## Voir aussi

<CardGroup cols={2}>
  <Card title="Sélection du modèle" href="/fr/concepts/model-providers" icon="layers">
    Choisir les fournisseurs, les références de modèle et le comportement de basculement.
  </Card>
  <Card title="Dépannage" href="/fr/help/troubleshooting" icon="wrench">
    Dépannage général et FAQ.
  </Card>
</CardGroup>
